import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { ExerciseModule } from 'app/exercise/exercise.module';

import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import { BookmarkComponent } from './bookmarks.component';
import { UserWatchListUpdateComponent } from './bookmarks-update.component';
import { BookmarksDeleteDialogComponent } from './bookmarks-delete-dialog.component';
import { bookmarksRoute } from './bookmarks.route';

@NgModule({
  imports: [GitSearchV2SharedModule, ExerciseModule, RouterModule.forChild(bookmarksRoute)],
  declarations: [BookmarkComponent, UserWatchListUpdateComponent, BookmarksDeleteDialogComponent],
  entryComponents: [BookmarksDeleteDialogComponent],
})
export class BookmarskModule {}
